const fs = require('fs');
const csv = require('csv-parser');
const ObjectsToCsv = require('objects-to-csv');
const sanitize = require('./wpFeSanitizeTitle.js')

let path = './data1.csv';
let tipos = {};

fs.createReadStream(path)
    .pipe(csv())
    .on('data', function(data){
        try {
            let tipo = data[0];
            if(typeof tipos[tipo] == 'undefined') tipos[tipo] = 0;

            tipos[tipo]++;
            let nr = [data[0],data[1],sanitize(data[1]),data[4]];
            console.log(nr);
        }
        catch(err) {
            //error handler
        }
    })
    .on('end',function(){
        console.log(tipos);

    });


